Bug 697941 - Need a docs note for reports noting manage inventory permissions are required in order to delete.
Need a docs note for reports noting manage inventory permissions are required...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Deon Ballard
Sunil Kondkar
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-04-19 13:42 EDT by Corey Welton
Modified: 2012-06-28 21:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 21:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-04-19 13:42:00 EDT
Description of problem:

When looking at reports, users who have config_write permissions might (mistakenly) assume they have the ability to use the delete button.  Please see the following BZs for more examples:

https://bugzilla.redhat.com/show_bug.cgi?id=697854
https://bugzilla.redhat.com/show_bug.cgi?id=697857

As it stands, manage inventory permissions are required in order for the delete button to be enabled.  As this might be somewhat confusing, a docs bug might be in order.  Something akin to:

"Note: A user who has config/write permissions will not necessarily be able to delete records in a report. Reports require manage inventory permissions in order to delete."

(though probably worded a little better)
Comment 3 Robert Buck 2011-11-29 10:47:44 EST
Please add a newline character between para 1 and 2.
Comment 4 Deon Ballard 2011-12-04 22:45:37 EST
For comment #3, this is a CSS issue with publican. I think there is a fix in an upcoming release.

Note You need to log in before you can comment on or make changes to this bug.